Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::ConfigurationChangedEvent Struct Reference

Event: The gateway sensor feature configuration has changed. More...

`import <GatewaySensorManager.idl;`

Inheritance diagram for peripheral::GatewaySensorManager::ConfigurationChangedEvent:

## Public Attributes
map< string, ConfigurationPackage > | configuration
| the current gateway sensor feature configuration
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: The gateway sensor feature configuration has changed.

Definition at line 715 of file GatewaySensorManager.idl.

## Member Data Documentation

## ◆ configuration

map<string, ConfigurationPackage> peripheral::GatewaySensorManager::ConfigurationChangedEvent::configuration

the current gateway sensor feature configuration

Definition at line 716 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl